lp:ubuntu/maverick/rrdtool

Created by James Westby and last modified
Get this branch:
bzr branch lp:ubuntu/maverick/rrdtool
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

22. By Clint Byrum

* Merge from debian unstable, Remaining changes:
  - debian/control: Don't build against ruby1.9 as we don't want
    it in main.
* require libdbi >= 0.8.3 to prevent aborts when using dbi datasources

21. By Marc Deslauriers

* debian/control, debian/control:
  - Don't build against ruby1.9 as we don't want it in main.

20. By Sebastian Harl

[ Sebastian Harl ]
* New upstream release:
  - Fixed various memory leaks in the Python bindings, thanks to Anders
    Hammarquist for reporting this and providing a patch (Closes: #529291).
* debian/patches:
  - Added bts530814-hurd to fix a FTBFS on Hurd, thanks to Marc Dequènes for
    reporting this and providing a patch (Closes: #530814).
  - Removed doc-fixes - applied upstream.
  - Added bts332766-negative-timestamps - upstream patch to fix the handling
    of negative timestamps in rrdupdate(1), thanks to Frank Zacharias for
    reporting this (Closes: #332766).
* debian/control:
  - Removed transitional package "python-rrd" which is no longer required.
  - Let rrdtool-dbg depend on ${shlibs:Depends}.
  - Build-depend on intltool.

[ Bernd Zeimetz ]
* debian/rules, debian/control:
  - Build Python dbg modules into rrdtool-dbg. Add necessary
    (build-) dependencies.

19. By Mackenzie Morgan

Backport http://oss.oetiker.ch/rrdtool-trac/changeset/1459
(Closes: #497739) (LP: #371409)

18. By Alessio Treglia

* Python 2.6 transition (LP: #344307):
  - Update debian/pyversions.
  - debian/rules:
    + Include /usr/share/python/python.mk.
    + Add $(py_setup_install_args) to setup.py install to build with
      Python 2.6.

17. By Sebastian Harl

* Urgency set to high because of the fix for #499350.
* debian/patches:
  - Added upstream patch bts499350-data-corruption (upstream SVN r1480) to
    fix data corruption when updating multiple values in one go
    (Closes: #499350).
    (upstream bug #178 - http://oss.oetiker.ch/rrdtool-trac/ticket/178)
  - Added bts498183-segfault-madvise to fix a segfault on sparc caused by a
    wrong argument passed to madvise(2) - thanks to Jurij Smakov for
    valuable debugging information (Closes: #498183).
  - Added upstream patch bts496847-error-handling (upstream SVN r1471) to
    fix error handling of syscalls in rrdtool(1) (Closes: #496847).
  - Added upstream patch bts499349-memleaks (upstream SVN r1465, r1467,
    r1468, r1469, r1470, r1473) to fix a couple of memory leaks in rrdtool,
    librrd and the Perl and Ruby bindings (Closes: #499349).
  - Added trivial upstream patch typo-ruby (upstream SVN r1462) to fix a
    typo in the Ruby bindings.
* debian/NEWS:
  - Added. Documented the changes required by the switch to libpango
    (Closes: #493575, #493594).

16. By Matthias Klose

Rebuild (perl-5.8 -> perl-5.10 transition on hppa).

15. By James Westby

Fix buffer overflow in librrd's error handling. Cherry-picked from
Debian bug #450578. (LP: #96850)

14. By Sebastian Harl

* Renamed global definition of LDFLAGS to LINKER_FLAGS in debian/rules to
  work around a broken behavior of dpkg which would use those flags
  unconditionally whenever invoking the linker, which is not wanted e.g.
  when compiling the python bindings (Closes: #476022).
* Actually pass the linker flags to configure.

13. By Michael Vogt

* Merge from debian unstable, remaining changes:
  - rrdtool-tcl.in: install pkgIndex.tcl.
  - do not use autotool to build the python extension,
    use a setup.py instead

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/natty/rrdtool
This branch contains Public information 
Everyone can see this information.

Subscribers